# H248_Transaction Class Reference

`#include <h248.h>`

List of all members.

## Public Types

enum | Choices { e_transactionRequest, e_transactionPending, e_transactionReply, e_transactionResponseAck }

## Public Member Functions

| H248_Transaction (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H248_TransactionRequest & ()
| operator const H248_TransactionRequest & () const
| operator H248_TransactionPending & ()
| operator const H248_TransactionPending & () const
| operator H248_TransactionReply & ()
| operator const H248_TransactionReply & () const
| operator H248_TransactionResponseAck & ()
| operator const H248_TransactionResponseAck & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H248_Transaction::Choices

Enumerator:

  e_transactionRequest |
  e_transactionPending |
  e_transactionReply |
  e_transactionResponseAck |

## Constructor & Destructor Documentation

H248_Transaction::H248_Transaction | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H248_Transaction::operator H248_TransactionRequest & | ( |  | ) |

H248_Transaction::operator const H248_TransactionRequest & | ( |  | ) | const

H248_Transaction::operator H248_TransactionPending & | ( |  | ) |

H248_Transaction::operator const H248_TransactionPending & | ( |  | ) | const

H248_Transaction::operator H248_TransactionReply & | ( |  | ) |

H248_Transaction::operator const H248_TransactionReply & | ( |  | ) | const

H248_Transaction::operator H248_TransactionResponseAck & | ( |  | ) |

H248_Transaction::operator const H248_TransactionResponseAck & | ( |  | ) | const

PBoolean H248_Transaction::CreateObject | ( |  | ) |

PObject* H248_Transaction::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h248.h